    import {StakeInstruction} from '@solana/web3'

public class | source

# StakeInstruction

Stake Instruction class

## Static Method Summary

Static Public Methods
public static | decodeAuthorize(instruction: TransactionInstruction): AuthorizeStakeParams Decode an authorize stake instruction and retrieve the instruction params. |
public static | decodeDeactivate(instruction: TransactionInstruction): DeactivateStakeParams Decode a deactivate stake instruction and retrieve the instruction params. |
public static | decodeDelegate(instruction: TransactionInstruction): DelegateStakeParams Decode a delegate stake instruction and retrieve the instruction params. |
public static | decodeInitialize(instruction: TransactionInstruction): InitializeStakeParams Decode a initialize stake instruction and retrieve the instruction params. |
public static | decodeInstructionType(instruction: TransactionInstruction): StakeInstructionType Decode a stake instruction and retrieve the instruction type. |
public static | decodeSplit(instruction: TransactionInstruction): SplitStakeParams Decode a split stake instruction and retrieve the instruction params. |
public static | decodeWithdraw(instruction: TransactionInstruction): WithdrawStakeParams Decode a withdraw stake instruction and retrieve the instruction params. |

## Static Public Methods

### public static decodeAuthorize(instruction: TransactionInstruction): AuthorizeStakeParams source

Decode an authorize stake instruction and retrieve the instruction params.

#### Params:

Name | Type | Attribute | Description
instruction | TransactionInstruction |  |

#### Return:

AuthorizeStakeParams

### public static decodeDeactivate(instruction: TransactionInstruction): DeactivateStakeParams source

Decode a deactivate stake instruction and retrieve the instruction params.

#### Params:

Name | Type | Attribute | Description
instruction | TransactionInstruction |  |

#### Return:

DeactivateStakeParams

### public static decodeDelegate(instruction: TransactionInstruction): DelegateStakeParams source

Decode a delegate stake instruction and retrieve the instruction params.

#### Params:

Name | Type | Attribute | Description
instruction | TransactionInstruction |  |

#### Return:

DelegateStakeParams

### public static decodeInitialize(instruction: TransactionInstruction): InitializeStakeParams source

Decode a initialize stake instruction and retrieve the instruction params.

#### Params:

Name | Type | Attribute | Description
instruction | TransactionInstruction |  |

#### Return:

InitializeStakeParams

### public static decodeInstructionType(instruction: TransactionInstruction): StakeInstructionType source

Decode a stake instruction and retrieve the instruction type.

#### Params:

Name | Type | Attribute | Description
instruction | TransactionInstruction |  |

#### Return:

StakeInstructionType

### public static decodeSplit(instruction: TransactionInstruction): SplitStakeParams source

Decode a split stake instruction and retrieve the instruction params.

#### Params:

Name | Type | Attribute | Description
instruction | TransactionInstruction |  |

#### Return:

SplitStakeParams

### public static decodeWithdraw(instruction: TransactionInstruction): WithdrawStakeParams source

Decode a withdraw stake instruction and retrieve the instruction params.

#### Params:

Name | Type | Attribute | Description
instruction | TransactionInstruction |  |

#### Return:

WithdrawStakeParams